Memcache Class Reference

Cache to store raw tile data. More...

`#include <Memcached.h>`

## Public Member Functions

| Memcache (const std::string &servernames="localhost", unsigned int timeout=3600)
| Constructor.
| ~Memcache ()
| Destructor.
void | store (const std::string &key, void *data, unsigned int length)
| Insert data into our cache.
char * | retrieve (const std::string &key)
| Retrieve data from our cache.
const char * | error ()
| Get error string.
unsigned int | length ()
| Return the number of bytes in the result.
bool | connected ()
| Tell us whether we are connected to any memcached servers.

## Detailed Description

Cache to store raw tile data.

## Constructor & Destructor Documentation

## Memcache()

Memcache::Memcache | ( | const std::string & | servernames = "localhost",
|  | unsigned int | timeout = 3600 )

inline

Constructor.

Parameters

  servernames | list of memcached servers
  timeout | memcached timeout - defaults to 1 hour (3600 seconds)

## Member Function Documentation

## retrieve()

char * Memcache::retrieve | ( | const std::string & | key | ) |

inline

Retrieve data from our cache.

Parameters

  key | key for cache data

Returns
  pointer to data

## store()

void Memcache::store | ( | const std::string & | key,
|  | void * | data,
|  | unsigned int | length )

inline

Insert data into our cache.

Parameters

  key | key used for cache
  data | pointer to the data to be stored
  length | length of data to be stored

References length().

The documentation for this class was generated from the following file:

- Memcached.h